Subject: Re: [bfcpbis] Updates to draft-ietf-bfcpbis-rfc4583bis required to enable ICE

From: Tom Kristensen <[email-masked]>
Date: Sun, 2 Jul 2017 16:48:27 +0200

A new draft version of the draft (!) is about to be committed. I do believe
all the issues in this thread are considered and handled.

Please, verify if you have time.

Diff to previous version:
https://tools.ietf.org/rfcdiff?url1=draft-ietf-bfcpbis-rfc4583bis-16.txt&url2=http://ellevilla.it/tmp/draft-ietf-bfcpbis-rfc4583bis-17.txt

This about to be the new version:
http://ellevilla.it/tmp/draft-ietf-bfcpbis-rfc4583bis-17.txt

-- Tom

On 6 April 2017 at 21:26, Charles Eckel (eckelcu) <[email-masked]> wrote:

> Please see inline with [cue].
>
>
>
> *From: *Roman Shpount <[email-masked]>
> *Date: *Thursday, April 6, 2017 at 11:16 AM
> *To: *Tom Kristensen <[email-masked]>
> *Cc: *Charles Eckel <[email-masked]>, Tom Kristensen <
> [email-masked]>, Tom Kristensen <[email-masked]>, "[email-masked]"
> <[email-masked]>, Gonzalo Camarillo <[email-masked]>,
> Paul Jones <[email-masked]>, Christer Holmberg <
> [email-masked]>, Mary Barnes <[email-masked]>
> *Subject: *Re: [bfcpbis] Updates to draft-ietf-bfcpbis-rfc4583bis
> required to enable ICE
>
>
>
> On Thu, Apr 6, 2017 at 10:58 AM, Tom Kristensen <[email-masked]>
> wrote:
>
> On 2 March 2017 at 23:14, Roman Shpount <[email-masked]> wrote:
>
> 1. In Section 3, we need to define an additional proto field value:
> TCP/DTLS/BFCP, which is realized by running BFCP on top of DTLS as descibed
> in this specification and running DTLS on top of TCP is realized using the
> framing method defined in RFC4571, with DTLS packets being sent and
> received instead of RTP/RTCP packets using the shim defined in RFC4571 so
> that length field defined in RFC4571 precedes each DTLS message. All
> sections of the document should be updated to include the TCP/DTLS/BFCP
> transport.
>
>
>
> This was questioned by Charles and I agree with the conclusion, backwards
> and forward compliancy is good although confusing/differing "syntax".
>
>
>
> I am not sure if this means you want to change this somehow or that you
> are going to update the draft with TCP/DTLS/BFCP. I agree that the syntax
> is not ideal but it is in line with other documents such as dtls-sdp or
> sctp-sdp.
>
>
>
> [cue] I believe this was meant to express agreement with the consensus
> that while not perfect, adding TCP/DTLS/BFCP to the draft is the best of
> the alternatives explored.
>
>
>
> Cheers,
>
> Charles
>
>
>
> The id-nits checker made me aware of RFC 8122 obsoleting RFC 4572, I
> reckon the additions necessary from the draft-ietf-mmusic-4572-update is
> covered in the new RFC 8122 or not?
>
>
>
> draft-ietf-mmusic-4572-update is now published as RFC 8122, so references
> to RFC 4572 should be updated to RFC 8122
>
>
>
> The rest sounds good.
>
>
>
> When you publish the updated version I will review and provide comments. I
> will also sync comments which were made against the ICE Considerations
> section of sctp-sdp with your draft.
>
>
>
> Regards,
>
> _____________
>
> Roman Shpount
>

-- 
# http://folk.uio.no/tomkri/ | +47 9516 1107 (m)
## http://facebook.com/tomkri/ | xmpp:[email-masked]
### "Å leve er å ta stilling. Jeg hater likegyldige mennesker.", A. Gramsci

---

From: "Charles Eckel (eckelcu)" <[email-masked]>
Date: Sun, 2 Jul 2017 22:39:35 +0000

Hi Tom,

The changes look good to me. I am okay with this version being submitted as is. That said, I did find this change in section 3 hard to digest.

"TCP/DTLS/BFCP, which is realized by running BFCP for unreliable transports on top of DTLS [12] as described in this specification, which in turn runs on top of TCP which is realized using the framing method defined in [13], with DTLS packets being sent and received instead of RTP/RTCP packets using the shim defined in RFC4571 so that the length field defined in RFC4571 precedes each DTLS message.”

Perhaps this wording is clearer?

“"TCP/DTLS/BFCP is used when running BFCP on top of DTLS [12], as described in this specification,            which in turn runs on top of TCP using the framing method defined in [13], with DTLS packets being sent and received instead of RTP/RTCP packets using the shim defined in RFC4571 such that the length field defined in RFC4571 precedes each DTLS message.”

Cheers,
Charles

From: bfcpbis <[email-masked]> on behalf of Tom Kristensen <[email-masked]>
Date: Sunday, July 2, 2017 at 7:48 AM
To: Charles Eckel <[email-masked]>
Cc: Tom Kristensen <[email-masked]>, Roman Shpount <[email-masked]>, "[email-masked]" <[email-masked]>, Gonzalo Camarillo <[email-masked]>, Paul Jones <[email-masked]>, Christer Holmberg <[email-masked]>, Tom Kristensen <[email-masked]>, Mary Barnes <[email-masked]>
Subject: Re: [bfcpbis] Updates to draft-ietf-bfcpbis-rfc4583bis required to enable ICE

A new draft version of the draft (!) is about to be committed. I do believe all the issues in this thread are considered and handled.

-- Tom

On 6 April 2017 at 21:26, Charles Eckel (eckelcu) <[email-masked]<mailto:[email-masked]>> wrote:
Please see inline with [cue].

From: Roman Shpount <[email-masked]<mailto:[email-masked]>>
Date: Thursday, April 6, 2017 at 11:16 AM
To: Tom Kristensen <[email-masked]<mailto:[email-masked]>>
Cc: Charles Eckel <[email-masked]<mailto:[email-masked]>>, Tom Kristensen <[email-masked]<mailto:[email-masked]>>, Tom Kristensen <[email-masked]<mailto:[email-masked]>>, "[email-masked]<mailto:[email-masked]>" <[email-masked]<mailto:[email-masked]>>, Gonzalo Camarillo <[email-masked]<mailto:[email-masked]>>, Paul Jones <[email-masked]<mailto:[email-masked]>>, Christer Holmberg <[email-masked]<mailto:[email-masked]>>, Mary Barnes <[email-masked]<mailto:[email-masked]>>
Subject: Re: [bfcpbis] Updates to draft-ietf-bfcpbis-rfc4583bis required to enable ICE

On Thu, Apr 6, 2017 at 10:58 AM, Tom Kristensen <[email-masked]<mailto:[email-masked]>> wrote:
On 2 March 2017 at 23:14, Roman Shpount <[email-masked]<mailto:[email-masked]>> wrote:
1. In Section 3, we need to define an additional proto field value: TCP/DTLS/BFCP, which is realized by running BFCP on top of DTLS as descibed in this specification and running DTLS on top of TCP is realized using the framing method defined in RFC4571, with DTLS packets being sent and received instead of RTP/RTCP packets using the shim defined in RFC4571 so that length field defined in RFC4571 precedes each DTLS message. All sections of the document should be updated to include the TCP/DTLS/BFCP transport.

This was questioned by Charles and I agree with the conclusion, backwards and forward compliancy is good although confusing/differing "syntax".

I am not sure if this means you want to change this somehow or that you are going to update the draft with TCP/DTLS/BFCP. I agree that the syntax is not ideal but it is in line with other documents such as dtls-sdp or sctp-sdp.

[cue] I believe this was meant to express agreement with the consensus that while not perfect, adding TCP/DTLS/BFCP to the draft is the best of the alternatives explored.

Cheers,
Charles

The id-nits checker made me aware of RFC 8122 obsoleting RFC 4572, I reckon the additions necessary from the draft-ietf-mmusic-4572-update is covered in the new RFC 8122 or not?

draft-ietf-mmusic-4572-update is now published as RFC 8122, so references to RFC 4572 should be updated to RFC 8122

The rest sounds good.

When you publish the updated version I will review and provide comments. I will also sync comments which were made against the ICE Considerations section of sctp-sdp with your draft.

Regards,
_____________
Roman Shpount

--
# http://folk.uio.no/tomkri/ | +47 9516 1107 (m)
## http://facebook.com/tomkri/ | xmpp:[email-masked]<mailto:[email-masked]>
### "Å leve er å ta stilling. Jeg hater likegyldige mennesker.", A. Gramsci

---

From: Tom Kristensen <[email-masked]>
Date: Mon, 3 Jul 2017 17:07:40 +0200

Will change as suggested, it is a couple of bits more readable and clear!
Then -> submit.

-- Tom

On 3 July 2017 at 00:39, Charles Eckel (eckelcu) <[email-masked]> wrote:

> Hi Tom,
>
>
>
> The changes look good to me. I am okay with this version being submitted
> as is. That said, I did find this change in section 3 hard to digest.
>
>
>
> "TCP/DTLS/BFCP, which is realized by running BFCP for unreliable
> transports on top of DTLS [12] as described in this specification, which in
> turn runs on top of TCP which is realized using the framing method defined
> in [13], with DTLS packets being sent and received instead of RTP/RTCP
> packets using the shim defined in RFC4571 so that the length field defined
> in RFC4571 precedes each DTLS message.”
>
>
>
> “"TCP/DTLS/BFCP is used when running BFCP on top of DTLS [12], as
> described in this specification,            which in turn runs on top of
> TCP using the framing method defined in [13], with DTLS packets being sent
> and received instead of RTP/RTCP packets using the shim defined in RFC4571
> such that the length field defined in RFC4571 precedes each DTLS message.”
>
>
>
> Cheers,
>
> Charles
>
>
>
> *From: *bfcpbis <[email-masked]> on behalf of Tom Kristensen <
> [email-masked]>
> *Date: *Sunday, July 2, 2017 at 7:48 AM
> *To: *Charles Eckel <[email-masked]>
> *Cc: *Tom Kristensen <[email-masked]>, Roman Shpount <
> [email-masked]>, "[email-masked]" <[email-masked]>, Gonzalo
> Camarillo <[email-masked]>, Paul Jones <
> [email-masked]>, Christer Holmberg <[email-masked]>,
> Tom Kristensen <[email-masked]>, Mary Barnes <
> [email-masked]>
>
> A new draft version of the draft (!) is about to be committed. I do
> believe all the issues in this thread are considered and handled.
>
>
>
> https://tools.ietf.org/rfcdiff?url1=draft-ietf-bfcpbis-rfc4583bis-16.txt&
> url2=http://ellevilla.it/tmp/draft-ietf-bfcpbis-rfc4583bis-17.txt
>
>
>